Bug 462377 - Use gnome-settings-daemon for setting gtk-modules
Use gnome-settings-daemon for setting gtk-modules
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libcanberra (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10DesktopTarget
  Show dependency treegraph
 
Reported: 2008-09-15 14:50 EDT by Matthias Clasen
Modified: 2008-10-06 10:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 10:04:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
libcanberra patch (2.18 KB, patch)
2008-09-15 14:50 EDT, Matthias Clasen
no flags Details | Diff
specfile patch (2.62 KB, patch)
2008-09-15 14:51 EDT, Matthias Clasen
no flags Details | Diff

  None (edit)
Description Matthias Clasen 2008-09-15 14:50:41 EDT
Created attachment 316771 [details]
libcanberra patch

gnome-settings-daemon now supports a directory in gconf for assembling the gtk-modules xsetting. libcanberra should use that.

Here are patches for doing so. I've not added i18n, to spare you intltool. If you want it, there's some more boilerplate to add...
Comment 1 Matthias Clasen 2008-09-15 14:51:31 EDT
Created attachment 316772 [details]
specfile patch
Comment 2 Lennart Poettering 2008-09-25 18:56:08 EDT
Thanks, the patch is now merged upstream. Thanks!

I'll do a new release shortly. Not sure if this important enough for F10, though.

My hunger for i18n is rather limited, so I am happy with doing without it for now.
Comment 3 Matthias Clasen 2008-10-03 22:13:40 EDT
See bug 465548 for one other thing thats needed here.
Comment 4 Lennart Poettering 2008-10-06 10:04:48 EDT
I have now activated the gconf stuff but left $GTK_MODULES stuff in there. As soon as g-s-d switched to the gconf stuff we should probably drop the GTK_MODULES part.

Note You need to log in before you can comment on or make changes to this bug.